Subject: bug#34343: [PATCH] Make project--find-regexp-in-files work with remote files

From: Michael Albinus <[email-masked]>
Date: Fri, 27 Dec 2019 09:24:18 +0100

Dmitry Gutov <[email-masked]> writes:

Hi Dmitry,

> So I've pushed a more simplistic patch to emacs-27 (commit be38e39fcc).
>
> Felicin and Michael, please take a look.

The patch looks reasonable to me. Since I don't use project-files, I
can't say whether this works correctly.

Your use of remote-id reminds me of comint-file-name-prefix, which
serves a similar purpose. Maybe you can check it in comint.el and the
other packages where it is used, and steal some ideas from there :-)

Best regards, Michael.